<!-- <p>
  oidc works!
</p>

<button *ngIf="!$.Auth.isLoggedIn()" (click)="$.Auth.login()">Login</button>
<button *ngIf="$.Auth.isLoggedIn()" (click)="$.Auth.logout()">Logout</button>
<button *ngIf="$.Auth.isLoggedIn()" (click)="redirect()">Redirect {{$.Auth.getRedirectUrl()}}</button>

<hr />

Is Authenticated: {{ $.Auth.isLoggedIn() }}

<br />
<br />

{{ userData | json }} -->

<div class="auth-wrapper">
  <div class="auth-content">
    <div class="auth-bg">
      <span class="r"></span>
      <span class="r s"></span>
      <span class="r s"></span>
      <span class="r"></span>
    </div>
    <div class="card">
      <div class="card-body text-center">
        <div class="mb-4">
          <i class="feather icon-command auth-icon"></i>
        </div>
        <h3 class="mb-4">Authentication</h3>
        <div class="input-group mb-3">
          <input type="email" class="form-control text-center" placeholder="Email" [value]="Message" disabled>
        </div>
        <button class="btn btn-primary mb-4" *ngIf="!$.Auth.isLoggedIn()" [ngClass]="{'disabled': !$.Helper.isOnline}" (click)="$.Auth.login()">Login</button>
        <button class="btn btn-danger mb-4" *ngIf="$.Auth.isLoggedIn()" (click)="$.Auth.logout()"><i class="feather icon-log-out"></i>Logout</button>
        <button class="btn btn-success mb-4" *ngIf="$.Auth.isLoggedIn()" (click)="navigate()">Redirect <i class="feather icon-arrow-right"></i></button>
        <p class="mb-0 text-muted">Facing problem? <a [href]="'mailto:'+$.Environment.app.author.email">Contact Administrator</a></p>
      </div>
    </div>
  </div>
</div>

